curl --request GET \
--url https://api.treasuryprime.com/incoming_wire \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/incoming_wire"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/incoming_wire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "acct_1234567890",
"amount": "1000.90",
"bank_id": "bank_treasuryprime",
"beneficiary": {
"address": [
"123 RAINBOW RD",
"CITYNAME NY 12345"
],
"bank_data": {
"account_number": "210393290",
"account_type": null,
"address": [
"NEW YORK",
"NY"
],
"bank_name": "BANK NAME",
"routing_number": "123456789"
},
"name": "GEORGE WASHINGTON"
},
"created_at": "2023-08-23T14:28:02Z",
"id": "iw_11jec6341ss3nwa",
"imad": {
"parsed": {
"cycle_date": "2023-08-23T00:00:00Z",
"input_sequence_number": "000015",
"input_source": "MMQFMP5F"
},
"unparsed": "20230823MMQFMP5F000015"
},
"org_id": "org_fintech",
"originator": {
"address": [
"123 PINE ST",
"NEW YORK NY 12345"
],
"bank_data": {
"account_number": "1092901990",
"account_type": null,
"address": [
"NEW YORK",
"NY"
],
"bank_name": "FINANCIAL INSTITUTION",
"routing_number": "123412341"
},
"name": "JOHN ADAMS"
},
"originator_to_beneficiary_info": "INCWIRE10",
"received_at": "2023-08-23",
"status": "done",
"transaction_id": "ttx_1234567890",
"updated_at": "2023-08-23T14:32:05Z",
"wire_body": {
"bnf": {
"addr": [
"123 RAINBOW RD",
"CITYNAME NY 12345"
],
"id": "210393290",
"name": "GEORGE WASHINGTON",
"type": "X"
},
"bus_func_code": "CTR",
"charge_amt": 0,
"credit_amt": 1000.9,
"curr": "USD",
"irn": 202308230023344,
"obi": [
"INCWIRE10"
],
"omad": {
"appl_id": "FT03",
"cycle_date": "20230823",
"date": "0823",
"lterm": "MMQFMPVH",
"omsn": "000016",
"time": "1011"
},
"org": {
"addr": [
"123 PINE ST",
"NEW YORK NY 12345"
],
"id": "1092901990",
"name": "JOHN ADAMS",
"type": "X"
},
"orig_amt": 1000.9,
"payment_date": "23-AUG-2023",
"rcv_bank": {
"addr": [
"NEW YORK",
"NY"
],
"id": "123456789",
"name": "BANK NAME",
"type": "F"
},
"sender_imad": {
"cycle_date": "20230823",
"imsn": "000015",
"lterm": "MMQFMP5F"
},
"snd_bank": {
"addr": [
"NEW YORK",
"NY"
],
"id": "123412341",
"name": "FINANCIAL INSTITUTION",
"type": "F"
},
"subtype_code": "00",
"type_code": "10",
"value_date": "23-AUG-2023"
}
}
]
}List Incoming Wires
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
ID of the Account receiving the transfer. Filterable.
ID of the organization with which the object is associated. Filterable.
One of pending processing done failed, or returned. Filterable.
ID of the associated transaction. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size incoming_wire elements, starting after the incoming_wire described by page_cursor. If no more incoming_wires are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?